<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Delete Method (DatabaseEntry, Transaction)
BaseDatabase Class See Also

Remove key/data pairs from the database. The key/data pair associated with key is discarded from the database. In the presence of duplicate key values, all records associated with the designated key will be discarded.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void Delete(
    	DatabaseEntry key,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Sub Delete ( _
    	key As DatabaseEntry, _
    	txn As Transaction _
    )

Visual C++

    public:
    void Delete(
    	DatabaseEntry^ key,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  Discard the key/data pair associated with key.

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# Remarks

When called on a secondary database, remove the key/data pair from the primary database and all secondary indices.

If txn is null and the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Delete Overload
BerkeleyDB Namespace